/// <reference types="vitest" />
import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react-swc';
import path from 'path';
import basicSsl from '@vitejs/plugin-basic-ssl';
import dts from 'vite-plugin-dts';

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react(), basicSsl(),
  dts({
    insertTypesEntry: true,
  }),],
  resolve: {
    alias: {
      '@graphpolaris/shared/lib': path.resolve(
        __dirname,
        '../../libs/shared/lib'
      ),
    },
  },
});
